#! /usr/bin/tclh

set dbpath [lindex $argv 0]

if {$dbpath != ""} {
    [Configuration] dbPath $dbpath
}

if [catch {set db [Database::create]} err] {
    puts stderr "Error: $err"
    exit 1
} else {
    set dbpath [$db dbPath]
    puts "Database created in $dbpath"
    #	set allow [[DirectoriesAccess] allow]
    set allow {}
    lappend allow $dbpath
    lappend allow "/opt"
    puts $allow
    [DirectoriesAccess] allow $allow
    $db save_directories_access
    [Configuration] prefix "/opt"
}

exit 0